import { visualElement } from '../index.mjs';
import { createBox } from '../../projection/geometry/models.mjs';
import { checkTargetForNewValues } from '../utils/setters.mjs';
import { setThreeValue } from './utils/set-value.mjs';
import { readThreeValue } from './utils/read-value.mjs';

var scrapeMotionValuesFromProps = function () { return ({}); };
var createRenderState = function () { return ({}); };
var threeVisualElement = visualElement({
    treeType: "three",
    readValueFromInstance: readThreeValue,
    getBaseTarget: function (_props, _key) {
        return 0;
    },
    sortNodePosition: function (_a, _b) {
        return 0;
    },
    makeTargetAnimatable: function (element, target) {
        checkTargetForNewValues(element, target, {});
        return target;
    },
    restoreTransform: function () { },
    resetTransform: function () { },
    removeValueFromRenderState: function (_key, _renderState) { },
    measureViewportBox: createBox,
    scrapeMotionValuesFromProps: scrapeMotionValuesFromProps,
    build: function (_element, state, latestValues) {
        for (var key in latestValues) {
            state[key] = latestValues[key];
        }
    },
    render: function (instance, renderState) {
        for (var key in renderState) {
            setThreeValue(instance, key, renderState);
        }
    },
});
var createVisualElement = function (_, options) {
    return threeVisualElement(options);
};

export { createRenderState, createVisualElement, scrapeMotionValuesFromProps, threeVisualElement };
